<template>
  <div class="footer">
    <FooterBtns></FooterBtns>
    <div class="flex flex-center footer-row">
      <img
        class="footer_logo"
        src="~/static/icons/logo.svg"
        alt="">
    </div>
    <div class="flex flex-center footer-row">
      <div class="footer-tagline">{{$t('footer.honestGame')}}</div>
    </div>
    <div class="flex flex-center footer-row">
      <a href="" @click.prevent="showComponent('Terms')">{{$t('footer.tc')}}</a>
    </div>
    <div class="flex flex-center flex-middle footer-row">
      <div class="footer-copyright">{{$t('footer.copyRight')}} |&nbsp;</div>
      <div><a href="https://www.bloks.io/account/fairbet.game" @click="ga('spsc')" target="_blank">{{$t('footer.smartContract')}}</a></div>
    </div>
  </div>
</template>

<script>
  import FooterBtns from './FooterBtns';

  export default {
    name: "TheFooter",
    data() {
      return {}
    },
    components: {
      FooterBtns
    },
    computed: {
      component() {
        return this.$store.state.common.showingModal;
      }
    },
    methods: {
      ga(type) {
      },
      showComponent(component) {
        this.$store.commit('common/SET_SHOWING_MODAL', component);
      }
    }
  }
</script>
